### Hierarchy

- ObservableStringEvents
  - RealTimeStringEvents

## Index

### Events

- DETACHED
- INSERT
- MODEL_CHANGED
- REFERENCE
- REMOVE
- VALUE

## Events

### DETACHED

DETACHED: string

Inherited from ObservableObjectEvents.DETACHED

Emitted when this element becomes detached, which typically happens when the element is removed from its parent. An ElementDetachedEvent is the actual emitted event.

### INSERT

INSERT: string

Inherited from ObservableStringEvents.INSERT

Emitted when zero or more characters are inserted into a RealTimeString. See StringInsertEvent for the actual emitted event.

### MODEL_CHANGED

MODEL_CHANGED: string

Inherited from ObservableObjectEvents.MODEL_CHANGED

Emitted when any child element of this element has a change. See ModelChangedEvent for details.

### REFERENCE

REFERENCE: string

Inherited from ObservableObjectEvents.REFERENCE

Emitted when a remote reference is created on this RealTimeElement. See RemoteReferenceCreatedEvent for the actual emitted event.

### REMOVE

REMOVE: string

Inherited from ObservableStringEvents.REMOVE

Emitted when characters are removed on a RealTimeString. See StringRemoveEvent for the actual emitted event.

### VALUE

VALUE: string

Inherited from ObservableStringEvents.VALUE

Overrides ObservableElementEvents.VALUE

Emitted when the entire value of a RealTimeString is set, meaning its entire contents were replaced (or initially set). See StringSetValueEvent for the actual emitted event.